##############################################################
## MOD Title: Control Guests at ACP
## MOD Author: cYbercOsmOnauT < cosmo@cybercosmonaut.de > (Tekin B.) http://www.cybercosmonaut.de
## MOD Description: This mod lets you control guests on your board. 
##                  You can allow or disallow the access of index.php,
##                  groupcp.php, memberlist.php, profile.php, search.php
##                  and viewonline.php for guests at your
##                  admin control panel (configuration).
##                  
## MOD Version: 1.0.1
##
## Installation Level: Easy
## Installation Time: 10min
## Files To Edit: 9
##                admin/admin_board.php 
##                groupcp.php
##                index.php
##                language/lang_english/lang_admin.php
##                memberlist.php
##                profile.php
##                search.php
##                templates/subSilver/admin/board_config_body.tpl
##                viewonline.php
## Included Files:  db_update.php
##
##############################################################
## For Security Purposes, Please Check: http://www.phpbb.com/mods/ for the
## latest version of this MOD. Downloading this MOD from other sites could cause malicious code
## to enter into your phpBB Forum. As such, phpBB will not offer support for MOD's not offered
## in our MOD-Database, located at: http://www.phpbb.com/mods/
############################################################## 
##############################################################
## Author Notes:
## This is my very first mod. I hope you enyoj it.:-)
##
## If you install it, send a mail to me with the modname and I will
## inform you on upcoming bugfixes or new versions.
##
## After copying db_update.php to phpBBroot run and delete it.
## The db_update.php can also be used to uninstall the mod from your database.
############################################################## 
## MOD History:
##	 2005-06-19 Version 1.2.1
##			- Fixed a bug in my mod. I forgot a small step in it. ;-)
##				Stupid me, thanks for letting me know Mario!
##	 2005-06-18 Version 1.1.0
##			- Viewing profiles was always deactivated for guests
##				but now it is also controlled at the acp.
##   2005-06-16 Version 1.0.1 
## 			- Small fixes inside the mod-file
##   2005-06-12 Version 1.0.0
##			- First version of the mod
##############################################################
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD
############################################################## 

#
#-----[ COPY ]------------------------------------------
#

copy db_update.php to ./db_update.php

#
#-----[ OPEN ]------------------------------------------
#

admin/admin_board.php

#
#-----[ FIND ]------------------------------------------
#

$timezone_select = tz_select($new['board_timezone'], 'board_timezone');

#
#-----[ AFTER, ADD ]------------------------------------------
#

$allow_guests_yes = ( $new['allow_guests'] ) ? "checked=\"checked\"" : "";
$allow_guests_no = ( !$new['allow_guests'] ) ? "checked=\"checked\"" : "";

#
#-----[ FIND ]------------------------------------------
#

	"L_SITE_DESCRIPTION" => $lang['Site_desc'],

#
#-----[ AFTER, ADD ]------------------------------------------
#

	"L_ALLOW_GUESTS" => $lang['Allow_guests'],
	"L_ALLOW_GUESTS_EXPLAIN" => $lang['Allow_guests_explain'],

#
#-----[ FIND ]------------------------------------------
#

	"SITE_DESCRIPTION" => $new['site_desc'],

#
#-----[ AFTER, ADD ]------------------------------------------
#

	"S_ALLOW_GUESTS_YES" => $allow_guests_yes,
	"S_ALLOW_GUESTS_NO" => $allow_guests_no,


#
#-----[ OPEN ]------------------------------------------
#

language/lang_english/lang_admin.php

#
#-----[ FIND ]------------------------------------------
#

//
// That's all Folks!

#
#-----[ BEFORE, ADD ]------------------------------------------
#

$lang['Allow_guests'] = 'Misafirlere zin Ver';
$lang['Allow_guests_explain'] = 'Bu zellik ile misafirlerin forumun baz blmlerini grmeleri engelleniyor. Misafir engellenen blmden ana sayfaya ynlendiriliyor.';

#
#-----[ OPEN ]------------------------------------------
#

templates/subSilver/admin/board_config_body.tpl

#
#-----[ FIND ]------------------------------------------
#

	<tr>
		<td class="row1">{L_SITE_DESCRIPTION}</td>
		<td class="row2"><input class="post" type="text" size="40" maxlength="255" name="site_desc" value="{SITE_DESCRIPTION}" /></td>
	</tr>

#
#-----[ AFTER, ADD ]------------------------------------------
#

	<tr>
		<td class="row1">{L_ALLOW_GUESTS}<br /><span class="gensmall">{L_ALLOW_GUESTS_EXPLAIN}</span></td>
		<td class="row2"><input type="radio" name="allow_guests" value="1" {S_ALLOW_GUESTS_YES} /> {L_YES}&nbsp;&nbsp;<input type="radio" name="allow_guests" value="0" {S_ALLOW_GUESTS_NO} /> {L_NO}</td>
	</tr>

#
#-----[ OPEN ]------------------------------------------
#

groupcp.php

#
#-----[ FIND ]------------------------------------------
#

//
// Select all other groups i.e. groups that this user is not a member of

#
#-----[ BEFORE, ADD ]------------------------------------------
#

	elseif (!$board_config['allow_guests']) {
		redirect(append_sid('login.'.$phpEx.'?redirect=groupcp.'.$phpEx));
	}

#
#-----[ OPEN ]------------------------------------------
#

index.php

#
#-----[ FIND ]------------------------------------------
#

init_userprefs($userdata);

#
#-----[ AFTER, ADD ]------------------------------------------
#

if (!$board_config['allow_guests'] && !$userdata['session_logged_in']) {
	redirect(append_sid('login.'.$phpEx.'?redirect=index.'.$phpEx));
}

#
#-----[ OPEN ]------------------------------------------
#

memberlist.php

#
#-----[ FIND ]------------------------------------------
#

init_userprefs($userdata);

#
#-----[ AFTER, ADD ]------------------------------------------
#

if (!$board_config['allow_guests'] && !$userdata['session_logged_in']) {
	redirect(append_sid('login.'.$phpEx.'?redirect=memberlist.'.$phpEx));
}

#
#-----[ OPEN ]------------------------------------------
#

profile.php

#
#-----[ FIND ]------------------------------------------
#

	if ( $mode == 'viewprofile' )
	{

#
#-----[ AFTER, ADD ]------------------------------------------
#

		if (!$board_config['allow_guests'] && !$userdata['session_logged_in']) {
			redirect(append_sid('login.'.$phpEx.'?redirect=profile.'.$phpEx.'&'.$HTTP_SERVER_VARS['QUERY_STRING']));
		}

#
#-----[ OPEN ]------------------------------------------
#

search.php


#
#-----[ FIND ]------------------------------------------
#

init_userprefs($userdata);

#
#-----[ AFTER, ADD ]------------------------------------------
#

if (!$board_config['allow_guests'] && !$userdata['session_logged_in']) {
	redirect(append_sid('login.'.$phpEx.'?redirect=search.'.$phpEx));
}

#
#-----[ OPEN ]------------------------------------------
#

viewonline.php

#
#-----[ FIND ]------------------------------------------
#

init_userprefs($userdata);

#
#-----[ AFTER, ADD ]------------------------------------------
#

if (!$board_config['allow_guests'] && !$userdata['session_logged_in']) {
	redirect(append_sid('login.'.$phpEx.'?redirect=viewonline.'.$phpEx));
}

#
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------
#
# EoM
#